Bug 246547 - smartctl fails on SATA drives
smartctl fails on SATA drives
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-02 19:26 EDT by Gregorio Gervasio
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: 2.6.22.1-27.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-17 16:40:40 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gregorio Gervasio 2007-07-02 19:26:48 EDT
Description of problem:
Running "smartctl" on a SATA drive results in the following error message:

Error SMART Status command failed

This command works on the same system if booted with an FC6 kernel
(2.6.20-1.2948.fc6).  Parallel ATA drives are also fine.

Version-Release number of selected component (if applicable):
kernel-2.6.21-1.3194.fc7

How reproducible:
This always fails on multiple systems (i686 and x86_64), multiple drives
(Seagate and Maxtor), and multiple SATA controllers (nVidia CK804 and SiI 3114).

Steps to Reproduce:
1. Run "smartctl -d ata -i /dev/sd?" on a SATA drive
  
Actual results:
This is the output from smartctl:

# smartctl -d ata -i /dev/sdb
smartctl version 5.37 [i386-redhat-linux-gnu] Copyright (C) 2002-6 Bruce Allen
Home page is http://smartmontools.sourceforge.net/

=== START OF INFORMATION SECTION ===
Model Family:     Seagate Barracuda 7200.10 family
Device Model:     ST3500630AS
Serial Number:    [deleted]
Firmware Version: 3.AAC
User Capacity:    500,107,862,016 bytes
Device is:        In smartctl database [for details use: -P show]
ATA Version is:   7
ATA Standard is:  Exact ATA specification draft version not indicated
Local Time is:    Mon Jul  2 16:09:48 2007 PDT
SMART support is: Available - device has SMART capability.
SMART support is: Enabled

Error SMART Status command failed
Please get assistance from http://smartmontools.sourceforge.net/
Register values returned from SMART Status command are:
CMD=0x50
FR =0x00
NS =0x00
SC =0x00
CL =0x00
CH =0x00
SEL=0x00
A mandatory SMART command failed: exiting. To continue, add one or more '-T
permissive' options.


Expected results:
There should be no error from smartctl.

Additional info:
The following seem to describe the same problem:
http://lkml.org/lkml/2007/6/10/25
https://bugs.launchpad.net/ubuntu/+source/linux-source-2.6.20/+bug/106821
Comment 1 Christopher Brown 2007-09-17 16:23:08 EDT
Hello Gregorio,

I'm reviewing this bug as part of the kernel bug triage project, an attempt to
isolate current bugs in the fedora kernel.

http://fedoraproject.org/wiki/KernelBugTriage

I am CC'ing myself to this bug and will try and assist you in resolving it if I can.

There hasn't been much activity on this bug for a while. Could you tell me if
you are still having problems with the latest kernel?

If the problem no longer exists then please close this bug or I'll do so in a
few days if there is no additional information lodged.

Cheers
Chris
Comment 2 Gregorio Gervasio 2007-09-17 16:40:40 EDT
This was an upstream bug and the fix was released in kernel-2.6.22.1-27.fc7.

Note You need to log in before you can comment on or make changes to this bug.